Bug 30488 - Star Wars - Jedi Knight : Jedi Academy does not render correctly.
Summary: Star Wars - Jedi Knight : Jedi Academy does not render correctly.
Status: RESOLVED NOTOURBUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-30 00:56 UTC by Scott Moreau
Modified: 2010-12-14 10:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Menu screen (291.60 KB, image/png)
2010-09-30 00:56 UTC, Scott Moreau
Details
Wine output (2.78 KB, text/plain)
2010-12-14 06:28 UTC, Scott Moreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Moreau 2010-09-30 00:56:43 UTC
Created attachment 39062 [details]
Menu screen

I installed the game 'Star Wars - Jedi Kight : Jedi Academy' using wine and it runs but does not render correctly. Attached is a screenshot of the menu screen where all buttons are invisible and middle part is not rendering or refreshing there. This is on rv350 using 2.6.36_rc5 on Arch Linux. Can anyone else confirm this problem?
Comment 1 Marek Olšák 2010-12-11 06:38:22 UTC
There has been some fixes in Mesa master. Could you possibly test the game again with current git?
Comment 2 Scott Moreau 2010-12-14 06:28:49 UTC
Created attachment 41104 [details]
Wine output

(In reply to comment #1)
> There has been some fixes in Mesa master. Could you possibly test the game
> again with current git?

I have tested again with git from a few minutes ago and I'm getting strange results. I have a feeling it could be wine problems however. Attached is the output. It starts fullscreen and displays the splash screens fine, but when it gets to the menu screen, it drops out of fullscreen and goes to a garbled (or sometimes black with game cursor) area that is seemingly less than 640x480.
Comment 3 Marek Olšák 2010-12-14 06:51:12 UTC
I think I can see the problem. Wine uses the subset of ARB_texture_rg that depends on ARB_texture_float, i.e. it can only be used if ARB_texture_float is supported, but Wine doesn't appear to care and uses it anyway. This should be fixed in Wine.

Does setting this environment variable like this help?

MESA_EXTENSION_OVERRIDE=-GL_ARB_texture_rg
Comment 4 Scott Moreau 2010-12-14 06:58:45 UTC
I found that using wine's 'virtual desktop' mode allows the game to work correctly but only windowed. Without this mode, the menu screen behaves as described in my last comment. I'm really not sure if it's wine or the driver causing this behavior though.
Comment 5 Scott Moreau 2010-12-14 07:04:01 UTC
(In reply to comment #3)
> I think I can see the problem. Wine uses the subset of ARB_texture_rg that
> depends on ARB_texture_float, i.e. it can only be used if ARB_texture_float is
> supported, but Wine doesn't appear to care and uses it anyway. This should be
> fixed in Wine.
> 
> Does setting this environment variable like this help?
> 
> MESA_EXTENSION_OVERRIDE=-GL_ARB_texture_rg

No, the game still exits fullscreen when it gets to the menu screen and goes to a ~640x480 black box in the upper left of the screen, displaying the game cursor.
Comment 6 Henri Verbeet 2010-12-14 07:27:11 UTC
(In reply to comment #3)
> I think I can see the problem. Wine uses the subset of ARB_texture_rg that
> depends on ARB_texture_float, i.e. it can only be used if ARB_texture_float is
> supported, but Wine doesn't appear to care and uses it anyway. This should be
> fixed in Wine.
> 
This is actually fixed in current Wine versions. However, the application strikes me as a DirectDraw application that doesn't use those formats anyway, except during wined3d initialization to see what's available for FBO attachments. This could very well be a Wine bug, but I wouldn't be able to tell without doing actual debugging on the application.
Comment 7 Marek Olšák 2010-12-14 08:36:25 UTC
(In reply to comment #4)
> I found that using wine's 'virtual desktop' mode allows the game to work
> correctly but only windowed.

Ok then, I guess this bug can be closed now...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.